### Method

# RB History set_truncate_on_play

#### Declaration [src]

    void
    rb_history_set_truncate_on_play (
      RBHistory* hist,
      gboolean truncate_on_play
    )

#### Description [src]

Sets the ‘truncate-on-play’ property.

Sets property | `RB.History:truncate-on-play`

#### Parameters

`truncate_on_play`

  Type: `gboolean`

  Whether `rb_history_set_playing()` should truncate the history.